summaryrefslogtreecommitdiffstats
path: root/system/flSynclient
diff options
context:
space:
mode:
author Steven Pledger <spledger91@yahoo.com>2010-08-24 00:28:09 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-29 15:32:12 -0500
commit79131597cb797f0f254bfe7cf0ad4544b8a9d91b (patch)
tree0cbfbbe35d5457a9a8a319153c6f4fb5b1d8a8b3 /system/flSynclient
parent48e43655883cfa59aa68aaa206aac0dd6014d770 (diff)
downloadslackbuilds-79131597cb797f0f254bfe7cf0ad4544b8a9d91b.tar.gz
slackbuilds-79131597cb797f0f254bfe7cf0ad4544b8a9d91b.tar.xz
system/flSynclient: Added (graphical frontend for synclient)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/flSynclient')
-rw-r--r--system/flSynclient/README14
-rw-r--r--system/flSynclient/doinst.sh3
-rw-r--r--system/flSynclient/flSynclient.SlackBuild88
-rw-r--r--system/flSynclient/flSynclient.desktop8
-rw-r--r--system/flSynclient/flSynclient.info10
-rw-r--r--system/flSynclient/slack-desc19
6 files changed, 142 insertions, 0 deletions
diff --git a/system/flSynclient/README b/system/flSynclient/README
new file mode 100644
index 0000000000..598a914bbd
--- /dev/null
+++ b/system/flSynclient/README
@@ -0,0 +1,14 @@
+flSynclient is a graphical frontend for synclient, built with
+the fltk toolkit. It is released under the GNU GPL license.
+
+Settings are stored in ~/.flSynclient, you can restore them with
+the following command:
+
+flsynclient -s
+
+You can add that to your ~/.xinitrc to make the settings apply when you
+start x.
+
+This requires fltk
+
+Note: Option 'SHMConfig' must be enabled in synaptics driver
diff --git a/system/flSynclient/doinst.sh b/system/flSynclient/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/flSynclient/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/flSynclient/flSynclient.SlackBuild b/system/flSynclient/flSynclient.SlackBuild
new file mode 100644
index 0000000000..f3bfd6bbd1
--- /dev/null
+++ b/system/flSynclient/flSynclient.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for flSynclient
+
+# Written by Steven Pledger <spledger91@yahoo.com>
+
+PRGNAM=flSynclient
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM${VERSION}
+tar xvf $CWD/$PRGNAM${VERSION}.tgz
+cd $PRGNAM${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# simply setting CFLAGS variable doesn't seem to work here
+sed -i -e "s/^CFLAGS = -O2$/CFLAGS = $SLKCFLAGS/" Makefile
+
+make clean # remove old binary
+make
+
+# Makefile doesn't support DESTDIR, so do a poor man's install
+mkdir -p $PKG/usr/bin
+install -m 0755 flsynclient $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/pixmaps
+cp -a \
+ flsynclient.{xpm,png} \
+ $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/flSynclient/flSynclient.desktop b/system/flSynclient/flSynclient.desktop
new file mode 100644
index 0000000000..b5b280d493
--- /dev/null
+++ b/system/flSynclient/flSynclient.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=flSynclient
+Comment=Configure your Synaptics touchpad
+Exec=flsynclient
+Icon=/usr/share/pixmaps/flsynclient.png
+Categories=Settings
diff --git a/system/flSynclient/flSynclient.info b/system/flSynclient/flSynclient.info
new file mode 100644
index 0000000000..e8f7f64a94
--- /dev/null
+++ b/system/flSynclient/flSynclient.info
@@ -0,0 +1,10 @@
+PRGNAM="flSynclient"
+VERSION="0.7"
+HOMEPAGE="http://www.matteolucarelli.net/flsynclient/index_en.htm"
+DOWNLOAD="http://www.matteolucarelli.net/flsynclient/flSynclient0.7.tgz"
+MD5SUM="04f0edb69019d6d05a99e1d743eba425"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Steven Pledger"
+EMAIL="spledger91@yahoo.com"
+APPROVED="dsomero"
diff --git a/system/flSynclient/slack-desc b/system/flSynclient/slack-desc
new file mode 100644
index 0000000000..ad83731192
--- /dev/null
+++ b/system/flSynclient/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+flSynclient: flSynclient (graphical frontend for synclient)
+flSynclient:
+flSynclient: flSynclient is a graphical frontend for synclient, built with the
+flSynclient: fltk toolkit. It is released under the GNU GPL license.
+flSynclient:
+flSynclient: Homepage: http://www.matteolucarelli.net/flsynclient/index_en.htm
+flSynclient:
+flSynclient:
+flSynclient:
+flSynclient:
+flSynclient: